% Typically, the CoM_combine function could be called like this:

[CoMx Fx] = CoM_combine(CoMx_estimate, Fx_measured - mean(Fx_measured), fs, mass, f_threshold, steep);

% Here, CoMx_estimate is the (measured) estimate of the CoM in x direction (whatever x is),
% Fx_measured the force in x direction, fs the sampling frequency (must be the same for 
% force and kinematic), mass the mass of the subject (in kg), f_thresh the threshold frequency
% (should be a little below the dominant frequency of the motion), and steep is a parameter 
% that defines how steep the sigmoid function is (the higher, the steeper;
% default: 10 [Hz^-1])
%
% NOTE: Fx_measured must be the total force that is acting on the subject,
% i.e. GRF MINUS GRAVITY. It is IMPORTANT that the mean force MUST be as accurate as
% possible. For long running on a treadmill (e.g. with standing at the beginning and
% at the end), the mean force is zero in all directions INCLUDING the vertical direction,
% because the subject's velocity does not change. 
% 

